DOM::CSSCharsetRule Class Reference

`#include <css_rule.h>`

Inheritance diagram for DOM::CSSCharsetRule:

## Public Member Functions

| CSSCharsetRule (const CSSCharsetRule &other)
| CSSCharsetRule (const CSSRule &other)
| CSSCharsetRule (CSSCharsetRuleImpl *impl)
CSSCharsetRule & | operator= (const CSSCharsetRule &other)
CSSCharsetRule & | operator= (const CSSRule &other)
DOM::DOMString | encoding () const
void | setEncoding (const DOM::DOMString &)
Public Member Functions inherited from DOM::CSSRule
| CSSRule (const CSSRule &other)
| CSSRule (CSSRuleImpl *impl)
CSSRule & | operator= (const CSSRule &other)
unsigned short | type () const
DOM::DOMString | cssText () const
void | setCssText (const DOM::DOMString &)
CSSStyleSheet | parentStyleSheet () const
CSSRule | parentRule () const
CSSRuleImpl * | handle () const
bool | isNull () const

## Additional Inherited Members

Public Types inherited from DOM::CSSRule
enum | RuleType { UNKNOWN_RULE = 0, STYLE_RULE = 1, CHARSET_RULE = 2, IMPORT_RULE = 3, MEDIA_RULE = 4, FONT_FACE_RULE = 5, PAGE_RULE = 6, QUIRKS_RULE = 100 }
Protected Member Functions inherited from DOM::CSSRule
void | assignOther (const CSSRule &other, RuleType thisType)
Protected Attributes inherited from DOM::CSSRule
CSSRuleImpl * | impl

## Detailed Description

The `CSSCharsetRule` interface a @charset rule in a CSS style sheet.

A `@charset` rule can be used to define the encoding of the style sheet.

Definition at line 149 of file css_rule.h.

## Member Function Documentation

DOMString CSSCharsetRule::encoding | ( |  | ) | const

The encoding information used in this `@charset` rule.

Definition at line 146 of file css_rule.cpp.

void CSSCharsetRule::setEncoding | ( | const DOM::DOMString & | value | ) |

see encoding

Exceptions

  CSSException | SYNTAX_ERR: Raised if the specified encoding value has a syntax error and is unparsable.

Exceptions

  DOMException | NO_MODIFICATION_ALLOWED_ERR: Raised if this encoding rule is readonly.

Definition at line 152 of file css_rule.cpp.

The documentation for this class was generated from the following files:

- css_rule.h
- css_rule.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys